Hermes = {
    db = nil,
    name = "Hermes",
    addonName = "Hermes",
    displayName = "Hermes",
    author = "Niwasaka & Saenic",
    website = "",
    slashCommand = "/hermes",
    version = "1.1.4",
    guildIndex = 0,

    defaults = {
        showTeleport = true,
        showMail = true,
        showHouse = true,
        showChangelog = true;
        enableEndeavorAlert = true,
        locationEndeavorAlert = 0,
        endeavorColorDaily = "|c3595de",
        endeavorColorWeekly = "|c3595de",
        showEndeavorReward = false,
        welcomeVersion = 0,
    },

    panel = nil,
}

function Hermes:Initialize()
    self.db = ZO_SavedVars:NewAccountWide("HermesSavedVars", 1, nil, self.defaults)

    self:InitializeMenu()
    self:InitializeChatMenu()
    self:UpdateGroupMembers()
    self:SetChatHook()

    Hermes.ChangelogScreen()

    EVENT_MANAGER:UnregisterForEvent(Hermes.name, EVENT_ADD_ON_LOADED)
    EVENT_MANAGER:RegisterForEvent(Hermes.name, EVENT_TIMED_ACTIVITY_PROGRESS_UPDATED, Hermes.EndeavorsUpdate)
    EVENT_MANAGER:RegisterForEvent(Hermes.name, EVENT_GROUP_MEMBER_JOINED, function()
        self:UpdateGroupMembers()
    end)
    EVENT_MANAGER:RegisterForEvent(Hermes.name, EVENT_GROUP_MEMBER_LEFT, function()
        self:UpdateGroupMembers()
    end)
    EVENT_MANAGER:RegisterForEvent(Hermes.name, EVENT_GUILD_SELF_JOINED_GUILD, function()
        self:UpdateGuildIndex()
    end)

end

function Hermes.OnAddOnLoaded(_, addon)
    if addon == Hermes.name then
        Hermes:Initialize()
    end
end

EVENT_MANAGER:RegisterForEvent(Hermes.name, EVENT_ADD_ON_LOADED, Hermes.OnAddOnLoaded)

